
<div class="container">
    
    <form [formGroup]="addressForm" #date="ngForm" novalidate (ngSubmit)="Data(date)">
        <mat-card class="shipping-card">
            <mat-card-header>
                <mat-card-title>Register Expense and Income</mat-card-title>
            </mat-card-header>
                <mat-card-content>
                    <div class="row">
                        <div class="col">
                            <mat-form-field class="full-width">
                                    <mat-label>Transaction Number</mat-label>
                                    <input type="number" matInput placeholder="Transaction Number" formControlName="Transnumber">
                            </mat-form-field>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <mat-form-field class="full-width">
                                <mat-label >Addressee</mat-label>
                                <input type="text" matInput placeholder="Addressee" formControlName="Addressee">
                            </mat-form-field>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <mat-form-field class="full-width">
                                <mat-label>Date</mat-label>
                                <input type="date" matInput placeholder="Date" formControlName="Date">
                            </mat-form-field>
                        </div>
                    </div>
                    <div class="row">
                                    <div class="col">
                            <mat-form-field class="full-width">
                                <mat-label>Amount</mat-label>
                                <input  matInput placeholder="Amount" formControlName="Amount">
                            </mat-form-field>
                        </div>
                     </div>
                     <div class="row">
                                    <div class="col">
                            <mat-form-field class="full-width">
                                <mat-label>Tipo</mat-label>
                          
                                <mat-select formControlName="Tipo"> 
                                    <mat-option value="CREDIT">CREDIT</mat-option>
                                    <mat-option value="DEBIT">DEBIT</mat-option>
                                </mat-select>
                            </mat-form-field>
                        </div>
                     </div>
            </mat-card-content>
            <mat-card-actions>
                <button mat-raised-button color="primary" type="submit" >Submit</button>
              </mat-card-actions>
        </mat-card>
    </form>
</div>